## org.apache.lucene.index
Class MergeScheduler

    java.lang.Object
      org.apache.lucene.index.MergeScheduler

Direct Known Subclasses:
  ConcurrentMergeScheduler, NoMergeScheduler, SerialMergeScheduler

    public abstract class MergeScheduler

extends Object

Expert: `IndexWriter` uses an instance implementing this interface to execute the merges selected by a `MergePolicy`. The default MergeScheduler is `ConcurrentMergeScheduler`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`MergeScheduler()`

Method Summary
`abstract void` `close()` Close this MergeScheduler.
`abstract void` `merge(IndexWriter writer)` Run the merges provided by `IndexWriter.getNextMerge()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeScheduler

    public MergeScheduler()

Method Detail

### merge

    public abstract void merge(IndexWriter writer)
                        throws CorruptIndexException,
                               IOException

  Run the merges provided by `IndexWriter.getNextMerge()`.

  Throws:
    `CorruptIndexException`
    `IOException`

### close

    public abstract void close()
                        throws CorruptIndexException,
                               IOException

  Close this MergeScheduler.

  Throws:
    `CorruptIndexException`
    `IOException`